Bug 1293056 - QSqlDatabase always db open
QSqlDatabase always db open
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-qt5-qtbase (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 12:58 EST by angelo.scarna
Modified: 2016-01-12 03:02 EST (History)
4 users (show)

See Also:
Fixed In Version: mingw-qt5-qtbase-5.5.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 03:02:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-47784 None None None 2015-12-19 12:58 EST

  None (edit)
Description angelo.scarna 2015-12-19 12:58:35 EST
Hi, I'am currently developing an application using KDevelop as IDE which uses CMake to build the project. For my project I will need to use a MySQL db using Qt5 libraries. Earlier I found that a bug affects QSqlDatabase when using the QMYSQL driver. Also found that is already patched in version 5.5.1, however the package provided by my Os (Fedora) is version 5.5.0

How can I apply the 5.5.1 patch so that my current CMakeLists.txt keep it running.
If that isn't possible, how can I make CMake or KDevelop to look up all the qt5 libraries in the directory that Qt5 installer created?

Thanks in advance.
Comment 1 Thomas Sailer 2015-12-19 13:16:51 EST
This bug report seems to have been filed against the wrong component, mingw-qt is Qt4 crosscompiled for windows.

For Qt5 use any of the qt5 packages, such as mingw32-qt5-qtbase
Comment 2 angelo.scarna 2015-12-19 13:27:38 EST
You use the QT5 with mingw32-qt-qtbase
Comment 3 angelo.scarna 2015-12-19 13:29:09 EST
yes I use the QT5 with mingw32-qt5-qtbase
Comment 4 Fedora Update System 2015-12-30 19:12:31 EST
mingw-qt5-qtxmlpatterns-5.5.1-1.fc23 mingw-qt5-qtwinextras-5.5.1-1.fc23 mingw-qt5-qtwebsockets-5.5.1-1.fc23 mingw-qt5-qtwebkit-5.5.1-1.fc23 mingw-qt5-qttranslations-5.5.1-1.fc23 mingw-qt5-qttools-5.5.1-1.fc23 mingw-qt5-qtsvg-5.5.1-1.fc23 mingw-qt5-qtsensors-5.5.1-1.fc23 mingw-qt5-qtscript-5.5.1-1.fc23 mingw-qt5-qtquick1-5.5.1-1.fc23 mingw-qt5-qtmultimedia-5.5.1-1.fc23 mingw-qt5-qtlocation-5.5.1-1.fc23 mingw-qt5-qtimageformats-5.5.1-1.fc23 mingw-qt5-qtgraphicaleffects-5.5.1-1.fc23 mingw-qt5-qtdeclarative-5.5.1-1.fc23 mingw-qt5-qtbase-5.5.1-1.fc23 mingw-qt5-qtactiveqt-5.5.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc03865b2e
Comment 5 Fedora Update System 2016-01-02 22:24:04 EST
mingw-angleproject-0-0.13.git.30d6c2.20141113.fc23, mingw-qt5-qtactiveqt-5.5.1-1.fc23, mingw-qt5-qtbase-5.5.1-2.fc23, mingw-qt5-qtdeclarative-5.5.1-1.fc23, mingw-qt5-qtgraphicaleffects-5.5.1-1.fc23, mingw-qt5-qtimageformats-5.5.1-1.fc23, mingw-qt5-qtlocation-5.5.1-1.fc23, mingw-qt5-qtmultimedia-5.5.1-1.fc23, mingw-qt5-qtquick1-5.5.1-1.fc23, mingw-qt5-qtscript-5.5.1-1.fc23, mingw-qt5-qtsensors-5.5.1-1.fc23, mingw-qt5-qtsvg-5.5.1-1.fc23, mingw-qt5-qttools-5.5.1-1.fc23, mingw-qt5-qttranslations-5.5.1-1.fc23, mingw-qt5-qtwebkit-5.5.1-1.fc23, mingw-qt5-qtwebsockets-5.5.1-1.fc23, mingw-qt5-qtwinextras-5.5.1-1.fc23, mingw-qt5-qtxmlpatterns-5.5.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc03865b2e
Comment 6 Fedora Update System 2016-01-12 03:01:55 EST
mingw-angleproject-0-0.13.git.30d6c2.20141113.fc23, mingw-qt5-qtactiveqt-5.5.1-1.fc23, mingw-qt5-qtbase-5.5.1-2.fc23, mingw-qt5-qtdeclarative-5.5.1-1.fc23, mingw-qt5-qtgraphicaleffects-5.5.1-1.fc23, mingw-qt5-qtimageformats-5.5.1-1.fc23, mingw-qt5-qtlocation-5.5.1-1.fc23, mingw-qt5-qtmultimedia-5.5.1-1.fc23, mingw-qt5-qtquick1-5.5.1-1.fc23, mingw-qt5-qtscript-5.5.1-1.fc23, mingw-qt5-qtsensors-5.5.1-1.fc23, mingw-qt5-qtsvg-5.5.1-1.fc23, mingw-qt5-qttools-5.5.1-1.fc23, mingw-qt5-qttranslations-5.5.1-1.fc23, mingw-qt5-qtwebkit-5.5.1-1.fc23, mingw-qt5-qtwebsockets-5.5.1-1.fc23, mingw-qt5-qtwinextras-5.5.1-1.fc23, mingw-qt5-qtxmlpatterns-5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.